/*
 * Copyright (c) 2005 Kirk Murrin, <mailto:linuxguru1968@yahoo.com>
 * Licensed under the Gnu Public License, version 2.
 * All rights resered.
 * 
 */

#ifndef _EDIT_PAGE_H
#define _EDIT_PAGE_H

typedef struct html_filter_struct 
{
   int ch;
   char *html_entity;
} html_filter_char;

int handle_edit_file(void);
int handle_edit_dir(void);
int setup_edit_file( char *pathname );
int setup_edit_dir( char *pathname );
int create_dir_link( char *pathname, char *fullname, char *name, struct stat *m );
char *get_perm_str(struct stat *m);
page_status_type copyfile(char *from, char **newname  );
page_status_type renamefile(char *from, char **newname );
page_status_type removefile( char *pathname );
int is_zero_read(char *pathname);

#endif /* */
