
/*
 * Copyright (c) 2005 Kirk Murrin, <mailto:linuxguru1968@yahoo.com>
 * Licensed under the Gnu Public License, version 2.
 * All rights resered.
 * 
 */

#include <stdio.h>
#include <stdlib.h>

#include "vv_array.h"

void  clear_vars(vv_array_type *vars)
{
    int i;
    if ( vars != NULL ) {
        if ( vars->vars != NULL ) {
            for(i=0;i< vars->len;i++) {
                memset(vars->vars[i].name,0x0,sizeof(vars->vars[i].name));
                if ( vars->vars[i].value != NULL ) { 
                    free(vars->vars[i].value);
                    vars->vars[i].vallen=0;
                }
            }
        }
        vars->len=0;
        if ( vars->vars ){ free(vars->vars); }
        vars->vars=NULL;
    }
}

void add_var(vv_array_type *vars, char **varptr, long varlen, char **valptr, long vallen )
{
    char *var   = *varptr;
    char *value = *valptr;
    char *tmpvar=NULL, *tmpval=NULL;

    vars->vars=realloc(vars->vars,(vars->len+1)*sizeof(var_value_type));
    memset(&vars->vars[vars->len],0x0,sizeof(var_value_type));

    tmpvar = malloc(varlen+1);
    memset(tmpvar,0x0,varlen+1);
    memcpy(tmpvar,var,varlen);
    unescape(&tmpvar,&varlen);
    memset(vars->vars[vars->len].name,0x0,sizeof(vars->vars[vars->len].name));
    memcpy(vars->vars[vars->len].name,tmpvar,varlen);
    free(tmpvar);

    tmpval=(char*)malloc(vallen+1);
    memset(tmpval,0x0,vallen+1);
    memcpy(tmpval,value,vallen);
    unescape(&tmpval,&vallen);
    vars->vars[vars->len].value=tmpval;
    vars->vars[vars->len].vallen=vallen;
    
    vars->len++;
}
